Package: org.grails.web.converters.marshaller.xml

## [Java] Class DeepDomainClassMarshaller

- org.grails.web.converters.marshaller.xml.DeepDomainClassMarshaller

- Authors:
    Siegfried Puchbauer
    Graeme Rocher
  Since:
    1.1

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DomainClassMarshaller` | `application, includeVersion, proxyHandler`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DeepDomainClassMarshaller (boolean includeVersion, GrailsApplication application)`
    `DeepDomainClassMarshaller (GrailsApplication application)`
    `DeepDomainClassMarshaller (boolean includeDomainVersion, ProxyHandler proxyHandler, GrailsApplication application)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected boolean` | `isRenderDomainClassRelations()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DomainClassMarshaller` | `asShortObject, isRenderDomainClassRelations, marshalObject, shouldInitializeProxies, supports`
    `class IncludeExcludePropertyMarshaller` | `excludesProperty, includesProperty, shouldInclude`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public DeepDomainClassMarshaller(boolean includeVersion, GrailsApplication application)

    - #### public DeepDomainClassMarshaller(GrailsApplication application)

    - #### public DeepDomainClassMarshaller(boolean includeDomainVersion, ProxyHandler proxyHandler, GrailsApplication application)

  - ### Method Detail

    - #### @java.lang.Override protected boolean isRenderDomainClassRelations()